Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: Firefox and SeaMonkey crashes on Opensuse 12.3 after upgrade

  1. #1

    Default Firefox and SeaMonkey crashes on Opensuse 12.3 after upgrade

    I Upgraded Firefox and SeaMonkey to the latest version in my Open Suse 12.3. After upgrade they crash all the time and I cannot use them since they crash during the startup of application.
    Please advise

    veki

  2. #2
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Firefox and SeaMonkey crashes on Opensuse 12.3 after upgrade

    Quote Originally Posted by veki View Post
    I Upgraded Firefox and SeaMonkey to the latest version in my Open Suse 12.3. After upgrade they crash all the time and I cannot use them since they crash during the startup of application.
    Please advise

    veki
    start them from a terminal and see the error messages, as firefox and sm use diferent profiles I don't think it's your profile folder, what graphic card do you have mozilla has had a lot of problems with some intel cards, try running firefox in safe mode and disable hardware acceleration.
    there could be some package mismatches see if all updates have been applied there could be a shared object that hasn't been updated.

  3. #3

    Default Re: Firefox and SeaMonkey crashes on Opensuse 12.3 after upgrade

    Quote Originally Posted by I_A View Post
    start them from a terminal and see the error messages, as firefox and sm use diferent profiles I don't think it's your profile folder, what graphic card do you have mozilla has had a lot of problems with some intel cards, try running firefox in safe mode and disable hardware acceleration.
    there could be some package mismatches see if all updates have been applied there could be a shared object that hasn't been updated.
    When I started Firefox from Konsole it started up, but when I entered Gmail it crashed and I noticed message in terminal:
    Floating point exception.
    When I started Seamonkey it immediately crashed and I found in terminal the following message:
    [2198] ###!!! ABORT: Aborting on channel error.: file /home/abuild/rpmbuild/BUILD/seamonkey/mozilla/ipc/glue/MessageChannel.cpp, line 1618
    [2198] ###!!! ABORT: Aborting on channel error.: file /home/abuild/rpmbuild/BUILD/seamonkey/mozilla/ipc/glue/MessageChannel.cpp, line 1618
    /usr/bin/seamonkey: line 140: 2170 Segmentation fault $MOZ_PROGRAM "$@"

    Please advise,

    veki

  4. #4

    Default Re: Firefox and SeaMonkey crashes on Opensuse 12.3 after upgrade

    Hi, openSUSE 12.3 reaches its end of life on jan 4th, 2015. Perhaps now is the time to upgrade? HTH Lenwolf

  5. #5
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,853

    Default Re: Firefox and SeaMonkey crashes on Opensuse 12.3 after upgrade

    Quote Originally Posted by veki View Post
    ... to the latest version ...i
    Please do not use vague expressions like this:
    . what you think being the latest version at the moment in time you wrote this may not be seen as the latest version for others. E.g. you may look at the Mozilla web site, where others may look at the openSUSE Update repo;
    . in due time (some weeks) there may be one or more newer versions and nobody will know any more which version this thread is about, making this thread useless;
    . it is shorter and easier to type the version number then the words "the latest version" and certainly easier to read and evaluate.
    Henk van Velden

  6. #6

    Default Re: Firefox and SeaMonkey crashes on Opensuse 12.3 after upgrade

    Quote Originally Posted by hcvv View Post
    Please do not use vague expressions like this:
    . what you think being the latest version at the moment in time you wrote this may not be seen as the latest version for others. E.g. you may look at the Mozilla web site, where others may look at the openSUSE Update repo;
    . in due time (some weeks) there may be one or more newer versions and nobody will know any more which version this thread is about, making this thread useless;
    . it is shorter and easier to type the version number then the words "the latest version" and certainly easier to read and evaluate.
    Hello,

    When I said the latest version I thought the latest version installed by zypper. I assumed that I follow what is default by methods without using my interventions. If otherwise, I would say that I Installed version different from available using zypper. Consequently, Firefox is version 34.0.5-1.94.3 adn Seamonkey is version: 2.31-1.65.2


    Thanks,

    Veki

  7. #7
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,853

    Default Re: Firefox and SeaMonkey crashes on Opensuse 12.3 after upgrade

    Quote Originally Posted by veki View Post
    Hello,

    When I said the latest version I thought the latest version installed by zypper. I assumed that I follow what is default by methods without using my interventions. If otherwise, I would say that I Installed version different from available using zypper. Consequently, Firefox is version 34.0.5-1.94.3 adn Seamonkey is version: 2.31-1.65.2


    Thanks,

    Veki
    Thanks, aboslute values are always more easy then relative ones that are relative to some unknown start point (assuming what others might understand/think).
    Henk van Velden

  8. #8
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Firefox and SeaMonkey crashes on Opensuse 12.3 after upgrade

    I think you should start software updater from yast and see if there are any new updates I believe you might have an old mozilla shared rpm and that's where the segmentation fault comes from.

  9. #9
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Firefox and SeaMonkey crashes on Opensuse 12.3 after upgrade

    what's your graphic card and video driver some intel cards can cause similar segmentation faults.

  10. #10

    Default Re: Firefox and SeaMonkey crashes on Opensuse 12.3 after upgrade

    Quote Originally Posted by I_A View Post
    I think you should start software updater from yast and see if there are any new updates I believe you might have an old mozilla shared rpm and that's where the segmentation fault comes from.
    I installed that Firefox and SeaMonkey by regular use of commands:
    zypper refresh
    and
    zypper update.

    Consequently, I have not improvised anything and all installations are done by deafult values by the system itself.

    Thanks,

    veki

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •